<link rel="import" href="../polymer/polymer-element.html" />

<dom-module id="slot-element">
    <template>
        <style>
            :host {
                @apply --my-custom-mixin;
            }
            ::slotted(span) {
                background-color: pink;
            }
            ::slotted(.claseSlotA) {
                background-color: yellow;
            }
        </style>
        <h1>
            <slot></slot>
        </h1>
        <hr />
        <h2>Hello [[prop1]]!</h2>
        <hr />
        <span>Otro slot <slot name="span1">Texto x default</slot></span>
        <span>El 3º slot <slot name="span2Clase">Texto x en slot 2</slot></span>
        <p>
          Valor nuevo
          <div id="nuevo">aqui</div>
        </p>
    </template>

    <script>
        /**
         * `slot-element`
         * jhgfds
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class SlotElement extends Polymer.Element {
            static get is() {
                return "slot-element";
            }
            static get properties() {
                return {
                    prop1: {
                        type: String,
                        value: "slot-element",
                    },
                };
            }
            ready() {
              super.ready();
              this.$.nuevo.innerHTML = "Componente listo";
            }
        }

        window.customElements.define(SlotElement.is, SlotElement);
    </script>
</dom-module>
